## oasis3 3.3.beta.dfsg.1

=== src/lib/NAG_dummies/src/Makefile ===

SRCS1 =  $(shell ls ../../../../src/lib/NAG_dummies/src/*.F90)
OBJS1 =  $(patsubst ../../../../src/lib/NAG_dummies/src/%.F90, %.o, $(SRCS1))

VPATH =	./:../../../../src/lib/NAG_dummies/src

LIBRARY	= ../../../lib/libNAG_dummies.a
SHLIB   = ../../../lib/libNAG_dummies.$(SOEXT)

clean:
	rm -f i.* *.o *.mod

all:	$(if $(SHARED), $(SHLIB), $(LIBRARY))

$(LIBRARY): $(OBJS1)
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS1)

$(SHLIB): $(OBJS1)
	$(LDSHARED) -o $(SHLIB1) $(OBJS1) $(FLIBS)

.SUFFIXES:
.SUFFIXES: .o  .F90

%.o: %.F90
	$(F90) $(F90FLAGS) $(INCLS)  -c   $<



#
# ALL dependencies ...
#

=== src/lib/anaisg/src/Makefile ===

SRCS4 	= $(shell ls $(PRISMHOME)/src/lib/anaisg/src/*.f)
OBJS4 	= $(patsubst $(PRISMHOME)/src/lib/anaisg/src/%.f, %.o, $(SRCS4))

VPATH 	= $(PRISMHOME)/src/lib/anaisg/src:$(PRISMHOME)/src/mod/$(COUPLE)/src

LIBRARY	= $(ARCHDIR)/lib/libanaisg.a
SHLIB   = $(ARCHDIR)/lib/libanaisg.${CHAN}.${SOEXT}

clean:
	rm -f i.* *.o *.mod

all:	$(if $(SHARED), $(SHLIB), $(LIBRARY))

$(LIBRARY): $(OBJS4)
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS4)

$(SHLIB): $(OBJS4)
	$(LDSHARED) -o $(SHLIB) $(OBJS4) $(FLIBS)

.SUFFIXES:
.SUFFIXES: .o .f .F .f90 .F90 .c

%.o: %.F90
	$(F90) $(F90FLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.f90
	$(f90) $(f90FLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.F
	$(F) $(FFLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.f
	$(f) $(fFLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.c
	$(CC) $(CCFLAGS) $(INCLSC) -c   $<

#
# ALL dependencies ...
#

mod_parameter.o: mod_kinds_oasis.o
mod_printing.o: mod_kinds_oasis.o
mod_unit.o: mod_kinds_oasis.o
mod_analysis.o: mod_kinds_oasis.o
nagset.o: mod_parameter.o mod_analysis.o mod_unit.o mod_printing.o mod_kinds_oasis.o
nagsst.o: mod_unit.o mod_printing.o mod_kinds_oasis.o
qcscur.o: mod_unit.o mod_kinds_oasis.o
qgrhal.o: mod_unit.o mod_kinds_oasis.o
qgrho.o: mod_unit.o mod_kinds_oasis.o
qlgaus.o: mod_unit.o mod_kinds_oasis.o
qlins.o: mod_unit.o mod_kinds_oasis.o
qlsort.o: mod_unit.o mod_kinds_oasis.o
qlsst.o: mod_unit.o mod_kinds_oasis.o

=== src/lib/anaism/src/Makefile ===

SRCS4 =  $(shell ls $(PRISMHOME)/src/lib/anaism/src/*.f)
OBJS4 =  $(patsubst $(PRISMHOME)/src/lib/anaism/src/%.f, %.o, $(SRCS4))

VPATH =	$(PRISMHOME)/src/lib/anaism/src:$(PRISMHOME)/src/mod/$(COUPLE)/src

LIBRARY	= $(ARCHDIR)/lib/libanaism.a
SHLIB   = $(ARCHDIR)/lib/libanaism.$(SOEXT)

clean:
	rm -f i.* *.o *.mod

all:	$(if $(SHARED), $(SHLIB), $(LIBRARY))

$(LIBRARY): $(OBJS4)
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS4)

$(SHLIB): $(OBJS4)
	$(LDSHARED) -o $(SHLIB) $(OBJS4) $(FLIBS)

.SUFFIXES:
.SUFFIXES: .o .f .F .f90 .F90 .c

%.o: %.F90
	$(F90) $(F90FLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.f90
	$(f90) $(f90FLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.F
	$(F) $(FFLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.f
	$(f) $(fFLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.c
	$(CC) $(CCFLAGS) $(INCLSC) -c   $<

#
# ALL dependencies ...
#

mod_parameter.o: mod_kinds_oasis.o
mod_printing.o: mod_kinds_oasis.o
mod_unit.o: mod_kinds_oasis.o
namset.o: mod_unit.o mod_printing.o mod_kinds_oasis.o
pcssph.o: mod_unit.o mod_kinds_oasis.o
plsst.o: mod_unit.o mod_kinds_oasis.o
pmesh.o: mod_unit.o mod_kinds_oasis.o
pminm.o: mod_unit.o mod_kinds_oasis.o
pmrhal.o: mod_unit.o mod_kinds_oasis.o
pmrho.o: mod_unit.o mod_kinds_oasis.o

=== src/lib/clim/src/Makefile ===
include /srv/devel/oasis3/deb-packages/oasis3/oasis3-3.1.dfsg.1//src/mod/oasis3/util/make_dir/make.inc

SRCS1 =  $(shell ls $(PRISMHOME)/src/lib/clim/src/*.F90)
OBJS1 =  $(patsubst $(PRISMHOME)/src/lib/clim/src/%.F90, %.o, $(SRCS1))

SRCS3 =  $(shell ls $(PRISMHOME)/src/lib/clim/src/*.F)
OBJS3 =  $(patsubst $(PRISMHOME)/src/lib/clim/src/%.F, %.o, $(SRCS3))

VPATH =	./:$(PRISMHOME)/src/lib/clim/src:\
	   $(PRISMHOME)/src/mod/$(COUPLE)/src

LIBRARY	= $(ARCHDIR)/lib/libclim.${CHAN}.a
SHLIB   = $(ARCHDIR)/lib/libclim.${CHAN}.$(SOEXT)

all: $(if $(SHARED), $(SHLIB), $(LIBRARY))

clean:
	rm -f i.* *.o *.mod


$(LIBRARY): $(OBJS1) $(OBJS3)
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS1) $(OBJS3)

$(SHLIB): $(OBJS1) $(OBJS3)
	$(LDSHARED) -o $(SHLIB) $(OBJS1) $(OBJS3) $(FLIBS)

.SUFFIXES:
.SUFFIXES: .o .f .F .f90 .F90 .c

%.o: %.F90
	$(F90) $(F90FLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.f90
	$(f90) $(f90FLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.F
	$(F) $(FFLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.f
	$(f) $(fFLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.c
	$(CC) $(CCFLAGS) $(INCLSC) -c   $<


#
# ALL dependencies ...
#

mod_clim.o: mod_kinds_oasis.o
mod_comclim.o: mod_clim.o mod_kinds_oasis.o
mod_clim_def.o: mod_kinds_oasis.o mod_clim.o mod_comclim.o
CLIM_Export.o: mod_clim.o mod_comclim.o mod_kinds_oasis.o
CLIM_Import.o: mod_clim.o mod_comclim.o mod_kinds_oasis.o
CLIM_Init_Oasis.o: mod_clim.o mod_comclim.o mod_parameter.o \
	mod_timestep.o mod_string.o mod_unitncdf.o \
	mod_kinds_oasis.o mod_hardware.o mod_calendar.o mod_label.o
CLIM_Parse.o: mod_clim.o mod_comclim.o mod_kinds_oasis.o
CLIM_Quit.o: mod_clim.o mod_comclim.o mod_kinds_oasis.o
CLIM_Start.o: mod_clim.o mod_comclim.o mod_kinds_oasis.o
CLIM_Start_MPI.o: mod_clim.o mod_comclim.o mod_kinds_oasis.o
CLIM_Stepi.o: mod_clim.o mod_comclim.o mod_kinds_oasis.o

=== src/lib/fscint/src/Makefile ===

SRCS4 =  $(shell ls $(PRISMHOME)/src/lib/fscint/src/*.f)
OBJS4 =  $(patsubst $(PRISMHOME)/src/lib/fscint/src/%.f, %.o, $(SRCS4))

VPATH =	$(PRISMHOME)/src/lib/fscint/src:$(PRISMHOME)/src/mod/$(COUPLE)/src:

LIBRARY	= $(ARCHDIR)/lib/libfscint.a
SHLIB   = $(ARCHDIR)/lib/libfscint.$(SOEXT)

clean:
	rm -f i.* *.o *.mod

all:	$(if $(SHARED), $(SHLIB), $(LIBRARY))

$(LIBRARY): $(OBJS4)
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS4)

$(SHLIB): $(OBJS4)
	$(LDSHARED) -o $(SHLIB) $(OBJS4)

.SUFFIXES:
.SUFFIXES: .o .f .F .f90 .F90 .c

%.o: %.F90
	$(F90) $(F90FLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.f90
	$(f90) $(f90FLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.F
	$(F) $(FFLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.f
	$(f) $(fFLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.c
	$(CC) $(CCFLAGS) $(INCLSC) -c   $<

#
# ALL dependencies ...
#

memoir.o: mod_kinds_oasis.o
discendo.o: memoir.o

=== src/lib/mpp_io/src/Makefile ===

# This file is generated automatically

SRCS1 =	$(shell find $(PRISMHOME)/src/lib/mpp_io/src/ -name '*.F90' -print)
OBJS1 =	$(patsubst $(PRISMHOME)/src/lib/mpp_io/src/%.F90,  %.o, $(SRCS1))

SRCS5 = $(shell find $(PRISMHOME)/src/lib/mpp_io/src/ -name '*.c' -print)
OBJS5 = $(patsubst $(PRISMHOME)/src/lib/mpp_io/src/%.c, %.o, $(SRCS5))

VPATH 	= ./:$(PRISMHOME)/src/lib/mpp_io/src:\
	$(PRISMHOME)/src/lib/mpp_io/include:\
	$(NETCDF_INCLUDE):$(MPI_INCLUDE):$(SYS_INCLUDE):$(XML_INCLUDE):\

LIBRARY = $(ARCHDIR)/lib/libmpp_io.a
SHLIB   = $(ARCHDIR)/lib/libmpp_io.$(SOEXT)

default: all

clean:
	rm -f $(LIBRARY)
	ls | xargs rm -f

all: $(if $(SHARED), $(SHLIB), $(LIBRARY))

$(LIBRARY): $(OBJS1) $(OBJS5)
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS1) $(OBJS5)

$(SHLIB): $(OBJS1) $(OBJS5)
	$(LDSHARED) -o $(SHLIB) $(OBJS1) $(OBJS5) $(FLIBS)

INCLS = -I$(PRISMHOME)/src/lib/mpp_io/include \

INCLSC = -I$(PRISMHOME)/src/lib/mpp_io/include \

.SUFFIXES:
.SUFFIXES: .o .f .F .f90 .F90 .c

%.o: %.F90
	$(F90) $(F90FLAGS) $(MPP_IOOPT) $(INCLS)  -c   $<

%.o: %.c
	$(CC) $(CCFLAGS) $(INCLSC) -c   $<

#
# ALL dependencies ...
#

mpp_domains_mod_oa.o: mod_kinds_mpp.o mpp_mod_oa.o
mpp_io_mod_oa.o: mod_kinds_mpp.o mpp_domains_mod_oa.o mpp_mod_oa.o
mpp_mod_oa.o: mod_kinds_mpp.o

=== src/lib/psmile/src/Makefile ===
SRCS1	= $(shell ls $(PRISMHOME)/src/lib/psmile/src/*.F90)
OBJS1	= $(patsubst $(PRISMHOME)/src/lib/psmile/src/%.F90, %.o, $(SRCS1))

SRCS2 =  $(shell ls $(PRISMHOME)/src/lib/psmile/src/*.f90)
OBJS2 =  $(patsubst $(PRISMHOME)/src/lib/psmile/src/%.f90, %.o, $(SRCS2))

SRCS3 	= $(shell ls $(PRISMHOME)/src/lib/psmile/src/*.F)
OBJS3 	= $(patsubst $(PRISMHOME)/src/lib/psmile/src/%.F, %.o, $(SRCS3))

VPATH 	= ./:$(PRISMHOME)/src/lib/psmile/src:\
	     $(PRISMHOME)/src/lib/psmile/include:\
             $(PRISMHOME)/src/lib/mpp_io/src:\
             $(PRISMHOME)/src/lib/mpp_io/include:\
	     $(ARCHDIR)/lib/mpp_io:\
	     $(NETCDF_INCLUDE):$(MPI_INCLUDE):$(SYS_INCLUDE)

LIBRARY = $(ARCHDIR)/lib/libpsmile.${CHAN}.a
SHLIB   = $(ARCHDIR)/lib/libpsmile.${CHAN}.$(SOEXT)

clean:
	rm -f i.* *.o *.mod

all:	$(if $(SHARED), $(SHLIB), $(LIBRARY))

$(LIBRARY): $(OBJS1) $(OBJS2) $(OBJS3) 
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS1) $(OBJS2) $(OBJS3)

$(SHLIB): $(OBJS1) $(OBJS2) $(OBJS3)
	$(LDSHARED) -o $(SHLIB) $(OBJS1) $(OBJS2) $(OBJS3) -L $(PRISMHOME)/src/lib -lmpp_io $(FLIBS)

INCLS = -I$(PRISMHOME)/src/lib/psmile/include \
	-I$(PRISMHOME)/src/lib/mpp_io/include \
	-I$(ARCHDIR)/lib/mpp_io \

INCLSC = -I$(PRISMHOME)/src/lib/psmile/include \
	-I$(PRISMHOME)/src/lib/mpp_io/include \
	-I$(ARCHDIR)/lib/mpp_io \

.SUFFIXES:
.SUFFIXES: .o .f .F .f90 .F90 .c

%.o: %.F90
	$(F90) $(F90FLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.f90
	$(f90) $(f90FLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.F
	$(F) $(FFLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.f
	$(f) $(fFLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.c
	$(CC) $(CCFLAGS) $(INCLSC) -c   $<

mod_psmile_io.o: mod_psmile_io.F90
	$(F90) $(MPP_IOOPT) $(F90FLAGS) $(INCLS)  -c   $<

#
# ALL dependencies ...
#
mod_psmile_date_and_time.o: mod_kinds_model.o
mod_psmile_io_interfaces.o: mod_kinds_model.o
mod_gsip_model.o: mod_kinds_model.o
mod_psmile_io.o: mod_kinds_model.o mod_prism_proto.o mod_comprism_proto.o mpp_mod_oa.o \
	mpp_io_mod_oa.o mpp_domains_mod_oa.o mod_psmile_io_interfaces.o mod_psmile_date_and_time.o
mpp_mod_oa.o: mod_kinds_mpp.o
mpp_io_mod_oa.o: mod_kinds_mpp.o mpp_domains_mod_oa.o mpp_mod_oa.o
mpp_domains_mod_oa.o: mod_kinds_mpp.o mpp_mod_oa.o
mod_prism_proto.o: mod_kinds_model.o
mod_comprism_proto.o: mod_kinds_model.o mod_prism_proto.o
mod_prism_get_comm.o: mod_kinds_model.o mod_comprism_proto.o
mod_prism_get_proto.o: mod_kinds_model.o mod_prism_proto.o mod_comprism_proto.o \
	psmile_os.h mod_gsip_model.o
mod_prism_put_proto.o: mod_kinds_model.o mod_prism_proto.o mod_comprism_proto.o \
	write_file.o mathelp_psmile.o psmile_os.h mod_gsip_model.o
prism_put_restart_proto.o: mod_kinds_model.o mod_prism_proto.o mod_comprism_proto.o \
	write_file.o
prism_put_inquire_proto.o: mod_kinds_model.o mod_prism_proto.o mod_comprism_proto.o
mod_prism_def_partition_proto.o: mod_kinds_model.o mod_prism_proto.o mod_comprism_proto.o prism_abort_proto.o
mod_prism_grids_writing: mod_kinds_model.o mod_comprism_proto.o mod_gsip_model.o prism_abort_proto.o
prism_abort_proto.o: mod_comprism_proto.o
prism_def_var_proto.o: mod_kinds_model.o mod_prism_proto.o mod_comprism_proto.o prism_abort_proto.o
prism_enddef_proto.o: mod_kinds_model.o mod_prism_proto.o mod_comprism_proto.o \
	mod_psmile_io_interfaces.o prism_abort_proto.o mod_gsip_model.o
prism_get_freq.o: mod_kinds_model.o mod_prism_proto.o mod_comprism_proto.o
prism_get_localcomm_proto.o: mod_kinds_model.o mod_prism_proto.o \
	mod_comprism_proto.o
prism_init_comp_proto.o: mod_kinds_model.o mod_prism_proto.o mod_comprism_proto.o mod_gsip_model.o \
	mod_psmile_io_interfaces.o prism_abort_proto.o
prism_terminate_proto.o: mod_kinds_model.o mod_prism_proto.o mod_comprism_proto.o \
	mod_psmile_io_interfaces.o
errioipsl_psmile.o: mod_kinds_model.o
mathelp_psmile.o: errioipsl_psmile.o stringop_psmile.o mod_kinds_model.o psmile_os.h

=== src/lib/scrip/src/Makefile ===

SRCS1 =  $(shell ls $(PRISMHOME)/src/lib/scrip/src/*.F90)
OBJS1 =  $(patsubst $(PRISMHOME)/src/lib/scrip/src/%.F90, %.o, $(SRCS1))

SRCS3   = $(shell ls $(PRISMHOME)/src/lib/scrip/src/*.F)
OBJS3   = $(patsubst $(PRISMHOME)/src/lib/scrip/src/%.F, %.o, $(SRCS3))

SRCS4 =  $(shell ls $(PRISMHOME)/src/lib/scrip/src/*.f)
OBJS4 =  $(patsubst $(PRISMHOME)/src/lib/scrip/src/%.f, %.o, $(SRCS4))

VPATH =	$(PRISMHOME)/src/lib/scrip/src:$(PRISMHOME)/src/mod/$(COUPLE)/src

LIBRARY	= $(ARCHDIR)/lib/libscrip.a
SHLIB   = $(ARCHDIR)/lib/libscrip.$(SOEXT)

clean:
	rm -f i.* *.o *.mod

all:	$(if $(SHARED), $(SHLIB), $(LIBRARY))

$(LIBRARY): $(OBJS1)  $(OBJS3) $(OBJS4)
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS1) $(OBJS3) $(OBJS4)

$(SHLIB): $(OBJS1)  $(OBJS3) $(OBJS4)
	$(LDSHARED) -o $(SHLIB) $(OBJS1)  $(OBJS3) $(OBJS4)  $(FLIBS)

.SUFFIXES:
.SUFFIXES: .o .f .F .f90 .F90 .c

%.o: %.F90
	$(F90) $(F90FLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.f90
	$(f90) $(f90FLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.F
	$(F) $(FFLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.f
	$(f) $(fFLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.c
	$(CC) $(CCFLAGS) $(INCLSC) -c   $<

#
# ALL dependencies ...
#

kinds_mod.o: mod_kinds_oasis.o
constants.o: kinds_mod.o
corners.o: kinds_mod.o mod_parameter.o mod_unitncdf.o mod_label.o mod_printing.o mod_unit.o
distance.o: kinds_mod.o constants.o
fracnnei.o: kinds_mod.o constants.o grids.o remap_vars.o mod_unit.o mod_printing.o
gradient.o: kinds_mod.o constants.o
gradient_bicubic.o: kinds_mod.o constants.o
grids.o: kinds_mod.o constants.o iounits.o
iounits.o: kinds_mod.o
netcdf.o: kinds_mod.o constants.o
remap_bicubic.o: kinds_mod.o constants.o grids.o remap_vars.o mod_unit.o mod_printing.o
remap_bicubic_reduced.o: kinds_mod.o constants.o grids.o remap_vars.o mod_unit.o
remap_bilinear.o: kinds_mod.o constants.o grids.o remap_vars.o mod_unit.o mod_printing.o
remap_bilinear_reduced.o: kinds_mod.o constants.o grids.o remap_vars.o mod_unit.o mod_printing.o
remap_conserv.o: kinds_mod.o constants.o timers.o grids.o remap_vars.o
remap_distwgt.o: kinds_mod.o constants.o grids.o remap_vars.o
remap_gauswgt.o: kinds_mod.o constants.o grids.o remap_vars.o
remap_vars.o: kinds_mod.o constants.o grids.o
remap_write.o: kinds_mod.o constants.o grids.o remap_vars.o netcdf.o
scrip.o: kinds_mod.o constants.o iounits.o timers.o grids.o remap_vars.o remap_conserv.o remap_distwgt.o remap_gauswgt.o remap_bilinear.o remap_bicubic.o remap_bilinear_reduced.o remap_bicubic_reduced.o remap_write.o
scriprmp.o: mod_scrip.o grids.o remap_vars.o mod_unit.o mod_printing.o
timers.o: kinds_mod.o
rotations.o: kinds_mod.o constants.o mod_parameter.o  mod_unitncdf.o mod_unit.o mod_printing.o vector.o
vector.o: kinds_mod.o constants.o mod_parameter.o  mod_unitncdf.o mod_unit.o mod_printing.o
scriprmp_vector.o: grids.o rotations.o vector.o

#clean:
#	rm -f $(OBJS) *.mod

=== src/mod/atmoa3/src/Makefile ===

# This file is generated automatically

SRCS1 = $(shell find $(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC)) -name '*.F90' -print)
OBJS1 = $(patsubst $(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC))/%.F90,  %.o, $(SRCS1))

VPATH = .:$(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC)):\
	  $(PRISMHOME)/src/mod/$(MODEL_DIR)/include:\
	  $(ARCHDIR)/lib/psmile.${CHAN}:\
	  $(ARCHDIR)/build/lib/psmile.${CHAN}:\
	  $(ARCHDIR)/lib/$(MODEL_DIR):\
	  $(ARCHDIR)/lib:\
	  $(NETCDF_INCLUDE):$(MPI_INCLUDE):$(SYS_INCLUDE)

LIBRARY	= $(ARCHDIR)/lib/$(MODEL_DIR)/lib$(MODLIB).a

PROG =  $(ARCHDIR)/bin/$(EXEC).x

INCLS   = -I$(PRISMHOME)/src/mod/$(MODEL_DIR)/include \
	  -${I4mods}$(ARCHDIR)/lib/psmile.${CHAN}

clean:
	rm -f $(LIBRARY)
	rm -f i.* *.o *.mod
	rm -f Top_Makefile_*

all: $(PROG)

lib: $(LIBRARY)

$(PROG): $(DEPLIBS) $(LIBRARY)
	$(F90) $(LDFLAGS) -o $@ $(MAINPRG).o $(LIBS)

$(LIBRARY): $(OBJS1)
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS1)

.SUFFIXES:
.SUFFIXES: .o .F90

%.o: %.F90
	$(F90) $(INCLS) $(F90FLAGS) -c $<

#
# All dependencies ...
#

atm.o: mod_kinds_model.o mod_prism_get_proto.o mod_prism_grids_writing.o \
	mod_prism_proto.o mod_prism_put_proto.o
decomp_def.o: mod_prism_def_partition_proto.o mod_prism_proto.o

=== src/mod/cheoa3/src/Makefile ===

# This file is generated automatically

SRCS1 = $(shell find $(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC)) -name '*.F90' -print)
OBJS1 = $(patsubst $(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC))/%.F90,  %.o, $(SRCS1))

VPATH = .:$(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC)):\
	  $(PRISMHOME)/src/mod/$(MODEL_DIR)/include:\
	  $(ARCHDIR)/lib/psmile.${CHAN}:\
	  $(ARCHDIR)/build/lib/psmile.${CHAN}:\
	  $(ARCHDIR)/lib/$(MODEL_DIR):\
	  $(ARCHDIR)/lib:\
	  $(NETCDF_INCLUDE):$(MPI_INCLUDE):$(SYS_INCLUDE)


LIBRARY	= $(ARCHDIR)/lib/$(MODEL_DIR)/lib$(MODLIB).a

PROG =  $(ARCHDIR)/bin/$(EXEC).x

INCLS   = -I$(PRISMHOME)/src/mod/$(MODEL_DIR)/include \
	  -${I4mods}$(ARCHDIR)/lib/psmile.${CHAN}

clean:
	rm -f $(LIBRARY)
	rm -f i.* *.o *.mod
	rm -f Top_Makefile_*

all: $(PROG)

lib: $(LIBRARY)

$(PROG): $(DEPLIBS) $(LIBRARY)
	$(F90) $(LDFLAGS)  -o $@ $(MAINPRG).o $(LIBS)

$(LIBRARY): $(OBJS1)
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS1)

.SUFFIXES:
.SUFFIXES: .o .F90

%.o: %.F90
	$(F90) $(INCLS) $(F90FLAGS)  -c $<

#
# All dependencies ...
#

che.o: mod_kinds_model.o mod_prism_get_proto.o mod_prism_grids_writing.o \
	mod_prism_proto.o mod_prism_put_proto.o 
decomp_def.o: mod_prism_def_partition_proto.o mod_prism_proto.o

=== src/mod/oasis3/src/Makefile ===

# This file is generated automatically
SRCS1 =	$(shell find $(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC)) -name '*.F90' -print)
OBJS1 =	$(patsubst $(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC))/%.F90,  %.o, $(SRCS1))

SRCS2 =  $(shell find $(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC)) -name '*.f90' -print)
OBJS2 =  $(patsubst $(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC))/%.f90, %.o, $(SRCS2))

SRCS3 =  $(shell find $(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC)) -name '*.F' -print)
OBJS3 =  $(patsubst $(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC))/%.F, %.o, $(SRCS3))

SRCS4 =  $(shell find $(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC)) -name '*.f' -print)
OBJS4 =  $(patsubst $(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC))/%.f, %.o, $(SRCS4))

SRCS5 =  $(shell find $(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC)) -name '*.c' -print)
OBJS5 =  $(patsubst $(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC))/%.c, %.o, $(SRCS5))

VPATH = .:$(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC)):\
	  $(PRISMHOME)/src/mod/$(MODEL_DIR)/include:\
	  $(ARCHDIR)/lib/clim.${CHAN}:\
	  $(ARCHDIR)/lib/$(MODEL_DIR):\
	  $(ARCHDIR)/lib:\
	  $(NETCDF_INCLUDE):$(MPI_INCLUDE):$(SYS_INCLUDE):\
	  $(PRISMHOME)/src/mod/$(MODEL_DIR)/make_dummies

LIBRARY	= $(ARCHDIR)/lib/$(MODEL_DIR)/lib$(MODLIB).a

SHLIB   = $(ARCHDIR)/lib/$(MODEL_DIR)/lib$(MODLIB).$(SOEXT)

PROG =  $(ARCHDIR)/bin/$(EXEC).x

INCLS   = -I$(PRISMHOME)/src/mod/$(MODEL_DIR)/include \
	  -${I4mods}$(ARCHDIR)/clim.${CHAN} \
	  -${I4mods}$(ARCHDIR)/climgossip

INCLSC  = -I$(PRISMHOME)/src/mod/$(MODEL_DIR)/include

clean:
	rm -f $(LIBRARY)
	rm -f i.* *.o *.mod
	rm -f Top_Makefile_*

all: $(PROG)

lib: $(LIBRARY)

$(PROG): $(DEPLIBS) $(LIBRARY)
	$(F90) $(LDFLAGS) -o $@ $(MAINPRG).o $(LIBS) $(LIBS)

$(LIBRARY): $(OBJS1) $(OBJS2) $(OBJS3) $(OBJS4) $(OBJS5)
	$(AR) $(ARFLAGS) $(LIBRARY) *.o
	$(AR) $(ARFLAGS) $(LIBRARY) \
	$(ARCHDIR)/clim.${CHAN}/mod_kinds_oasis.o   \
	$(ARCHDIR)/clim.${CHAN}/mod_parameter.o  \
	$(ARCHDIR)/clim.${CHAN}/mod_timestep.o  \
	$(ARCHDIR)/clim.${CHAN}/mod_string.o  \
	$(ARCHDIR)/clim.${CHAN}/mod_unitncdf.o  \
	$(ARCHDIR)/clim.${CHAN}/mod_kinds_oasis.o  \
	$(ARCHDIR)/clim.${CHAN}/mod_hardware.o  \
	$(ARCHDIR)/clim.${CHAN}/mod_calendar.o  \
	$(ARCHDIR)/clim.${CHAN}/mod_label.o

.SUFFIXES:
.SUFFIXES: .o .c .f .F .f90 .F90

%.o: %.F90
	$(F90) $(F90FLAGS) $(INCLS)  -c   $<

%.o: %.f90
	$(f90) $(f90FLAGS) $(INCLS)  -c   $<

%.o: %.F
	$(F) $(FFLAGS) $(INCLS)  -c   $<

%.o: %.f
	$(f) $(fFLAGS) $(INCLS)  -c   $<

%.o: %.c
	$(CC) $(CCFLAGS) $(INCLSC) -c   $<

#
# All dependencies ...
#

mod_anais.o: mod_kinds_oasis.o mod_parameter.o
mod_analysis.o: mod_kinds_oasis.o
mod_calendar.o: mod_kinds_oasis.o
mod_coast.o: mod_kinds_oasis.o
mod_experiment.o: mod_kinds_oasis.o
mod_extrapol.o: mod_kinds_oasis.o mod_parameter.o
mod_scrip.o: mod_kinds_oasis.o
mod_gauss.o: mod_kinds_oasis.o
mod_hardware.o: mod_kinds_oasis.o
mod_memory.o: mod_kinds_oasis.o mod_parameter.o
mod_nproc.o: mod_kinds_oasis.o
mod_parallel.o: mod_kinds_oasis.o
mod_parameter.o: mod_kinds_oasis.o
mod_printing.o: mod_kinds_oasis.o
mod_rainbow.o: mod_kinds_oasis.o mod_parameter.o
mod_sipc.o: mod_kinds_oasis.o
mod_smooth.o: mod_kinds_oasis.o
mod_string.o: mod_kinds_oasis.o
mod_timestep.o: mod_kinds_oasis.o
mod_unit.o: mod_kinds_oasis.o
mod_unitncdf.o: mod_kinds_oasis.o
alloc.o: mod_parameter.o
alloc_src.o: mod_anais.o mod_analysis.o mod_coast.o mod_experiment.o \
	mod_extrapol.o mod_kinds_oasis.o mod_memory.o mod_nproc.o \
	mod_parallel.o mod_parameter.o mod_pipe.o mod_rainbow.o mod_sipc.o \
	mod_string.o mod_timestep.o mod_unitncdf.o
closerst.o: mod_kinds_oasis.o mod_string.o mod_parameter.o mod_unit.o \
        mod_printing.o mod_unitncdf.o
dealloc.o: mod_parameter.o
dealloc_src.o: mod_anais.o mod_analysis.o mod_coast.o mod_experiment.o \
	mod_extrapol.o mod_kinds_oasis.o mod_memory.o mod_nproc.o \
	mod_parallel.o mod_parameter.o mod_pipe.o mod_rainbow.o mod_sipc.o \
	mod_string.o mod_timestep.o mod_unitncdf.o mod_scrip.o mod_unit.o mod_gsip.o
parse.o: mod_kinds_oasis.o mod_unit.o
parseblk.o: mod_kinds_oasis.o mod_unit.o
skip.o: mod_kinds_oasis.o mod_unit.o
chksgc.o: mod_hardware.o mod_printing.o mod_unit.o
extrap.o: mod_extrapol.o mod_kinds_oasis.o mod_parameter.o mod_printing.o \
	mod_unit.o
ferror.o: mod_experiment.o mod_hardware.o mod_kinds_oasis.o mod_nproc.o \
	mod_parameter.o mod_unit.o
sco_getdim.o: mod_comclim.o mod_parameter.o
sco_schedule.o: mod_analysis.o mod_string.o mod_parameter.o mod_experiment.o \
        mod_comclim.o
getfld.o: mod_analysis.o mod_clim.o mod_experiment.o mod_hardware.o \
	mod_kinds_oasis.o mod_label.o mod_memory.o mod_parameter.o \
	mod_printing.o mod_sipc.o mod_string.o mod_timestep.o mod_unit.o \
	mod_unitncdf.o 
givfld.o: mod_analysis.o mod_calendar.o mod_clim.o mod_experiment.o \
	mod_hardware.o mod_kinds_oasis.o mod_label.o mod_memory.o \
	mod_parameter.o mod_printing.o mod_sipc.o mod_string.o mod_timestep.o \
	mod_unit.o mod_unitncdf.o 
halte.o: mod_comclim.o mod_hardware.o mod_unit.o
inicmc.o: mod_analysis.o mod_clim.o mod_clim_def.o mod_comclim.o \
	mod_experiment.o mod_gauss.o mod_hardware.o mod_kinds_oasis.o \
	mod_label.o mod_parallel.o mod_parameter.o mod_printing.o \
	mod_string.o mod_timestep.o mod_unit.o mod_unitncdf.o
iniiof.o: mod_anais.o mod_analysis.o mod_extrapol.o mod_hardware.o \
	mod_label.o mod_parameter.o mod_printing.o mod_string.o mod_unit.o \
	mod_unitncdf.o 
inipar.o: mod_anais.o mod_analysis.o mod_calendar.o mod_clim.o mod_coast.o \
	mod_experiment.o mod_extrapol.o mod_hardware.o mod_kinds_oasis.o \
	mod_label.o mod_parallel.o mod_parameter.o mod_printing.o \
	mod_rainbow.o mod_string.o mod_timestep.o mod_unit.o mod_unitncdf.o
inipar_alloc.o: mod_anais.o mod_analysis.o mod_calendar.o mod_clim.o \
	mod_coast.o mod_experiment.o mod_extrapol.o mod_gauss.o \
	mod_hardware.o mod_kinds_oasis.o mod_label.o mod_parallel.o \
	mod_parameter.o mod_printing.o mod_rainbow.o mod_string.o \
	mod_timestep.o mod_unit.o mod_unitncdf.o 
modsgc.o: mod_hardware.o mod_printing.o mod_unit.o
preproc.o: mod_analysis.o mod_extrapol.o mod_gauss.o mod_kinds_oasis.o \
	mod_label.o mod_memory.o mod_parameter.o mod_printing.o mod_string.o \
	mod_unit.o
waitpc.o: mod_clim.o mod_experiment.o mod_hardware.o mod_kinds_oasis.o \
	mod_nproc.o mod_parameter.o mod_pipe.o mod_printing.o mod_sipc.o \
	mod_unit.o
blasnew.o: mod_kinds_oasis.o mod_printing.o mod_unit.o
blasold.o: mod_kinds_oasis.o mod_printing.o mod_unit.o
calend.o: mod_kinds_oasis.o mod_printing.o mod_unit.o
chkfld.o: mod_kinds_oasis.o mod_printing.o mod_unit.o
chkpar.o: mod_experiment.o mod_extrapol.o mod_hardware.o mod_kinds_oasis.o \
	mod_parameter.o mod_printing.o mod_string.o mod_timestep.o mod_unit.o
coasts.o: mod_coast.o mod_kinds_oasis.o mod_parameter.o mod_printing.o \
	mod_smooth.o mod_unit.o
conserv.o: mod_kinds_oasis.o mod_printing.o mod_unit.o
cookart.o: mod_analysis.o mod_kinds_oasis.o mod_memory.o mod_parameter.o \
	mod_printing.o mod_rainbow.o mod_string.o mod_unit.o
correct.o: mod_kinds_oasis.o mod_printing.o mod_unit.o
couple.o: mod_unit.o
driver.o: mod_analysis.o mod_experiment.o mod_hardware.o mod_kinds_oasis.o \
	mod_memory.o mod_parameter.o mod_string.o mod_timestep.o mod_unit.o
empty.o: mod_unit.o
extraw.o: mod_kinds_oasis.o mod_printing.o mod_unit.o
fiasco.o: mod_anais.o mod_kinds_oasis.o mod_parameter.o mod_printing.o \
	mod_timestep.o mod_unit.o
filling.o: mod_analysis.o mod_calendar.o mod_coast.o mod_kinds_oasis.o \
	mod_parameter.o mod_printing.o mod_smooth.o mod_unit.o
getfpe.o: mod_unit.o
glored.o: mod_gauss.o mod_kinds_oasis.o mod_printing.o mod_unit.o
grstat.o: mod_kinds_oasis.o mod_unit.o
hdlerr.o: mod_kinds_oasis.o mod_unit.o 
icoor.o: mod_kinds_oasis.o mod_unit.o
idivmax.o: mod_kinds_oasis.o mod_unit.o
ilenstr.o: mod_unit.o
imaxim.o: mod_kinds_oasis.o mod_unit.o
iminim.o: mod_kinds_oasis.o mod_unit.o
inidya.o: mod_kinds_oasis.o mod_memory.o mod_parameter.o mod_printing.o \
	mod_string.o mod_unit.o
inigrd.o: mod_analysis.o mod_kinds_oasis.o mod_label.o mod_memory.o \
	mod_parameter.o mod_printing.o mod_string.o mod_unit.o mod_unitncdf.o
inilun.o: mod_hardware.o mod_parameter.o mod_printing.o mod_string.o \
	mod_unit.o
initim.o: mod_calendar.o mod_parameter.o mod_printing.o mod_string.o \
	mod_timestep.o mod_unit.o
interp.o: mod_anais.o mod_analysis.o mod_extrapol.o mod_kinds_oasis.o \
	mod_memory.o mod_parameter.o mod_printing.o mod_rainbow.o \
	mod_string.o mod_unit.o
invert.o: mod_kinds_oasis.o mod_printing.o mod_unit.o
isumi.o: mod_kinds_oasis.o mod_unit.o
izero.o: mod_kinds_oasis.o mod_unit.o
jcoor.o: mod_kinds_oasis.o mod_unit.o
locread.o: mod_kinds_oasis.o mod_printing.o mod_unit.o
locreadh.o: mod_kinds_oasis.o mod_printing.o mod_unit.o
locrint.o: mod_kinds_oasis.o mod_printing.o mod_unit.o
locwrint.o: mod_kinds_oasis.o mod_printing.o mod_unit.o
locwrite.o: mod_kinds_oasis.o mod_printing.o mod_unit.o
locwrith.o: mod_kinds_oasis.o mod_printing.o mod_unit.o
masq.o: mod_hardware.o mod_kinds_oasis.o mod_printing.o mod_unit.o
mozaic.o: mod_kinds_oasis.o mod_printing.o mod_unit.o
nextbl.o: mod_unit.o
nextch.o: mod_unit.o
postpro.o: mod_analysis.o mod_extrapol.o mod_gauss.o mod_kinds_oasis.o \
	mod_label.o mod_memory.o mod_parameter.o mod_printing.o mod_string.o \
	mod_unit.o
prcout.o: mod_unit.o
prtout.o: mod_kinds_oasis.o mod_unit.o
redglo.o: mod_gauss.o mod_kinds_oasis.o mod_label.o mod_parameter.o \
	mod_printing.o mod_unit.o mod_unitncdf.o 
reset.o: mod_memory.o mod_parameter.o mod_printing.o mod_unit.o
reverse.o: mod_kinds_oasis.o mod_printing.o mod_unit.o
revmsk.o: mod_kinds_oasis.o mod_printing.o mod_unit.o
rmaxim.o: mod_kinds_oasis.o mod_unit.o
rminim.o: mod_kinds_oasis.o mod_unit.o
sqdis.o: mod_kinds_oasis.o mod_unit.o
ssumr.o: mod_kinds_oasis.o mod_unit.o
subgrid.o: mod_kinds_oasis.o mod_printing.o mod_unit.o
szero.o: mod_kinds_oasis.o mod_unit.o
updtim.o: mod_calendar.o mod_kinds_oasis.o mod_parameter.o mod_printing.o \
	mod_timestep.o mod_unit.o

=== src/mod/oceoa3/src/Makefile ===

# This file is generated automatically

SRCS1 = $(shell find $(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC)) -name '*.F90' -print)
OBJS1 = $(patsubst $(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC))/%.F90,  %.o, $(SRCS1))

VPATH = .:$(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC)):\
	  $(PRISMHOME)/src/mod/$(MODEL_DIR)/include:\
	  $(ARCHDIR)/lib/psmile.${CHAN}:\
	  $(ARCHDIR)/build/lib/psmile.${CHAN}:\
	  $(ARCHDIR)/lib/$(MODEL_DIR):\
	  $(ARCHDIR)/lib:\
	  $(NETCDF_INCLUDE):$(MPI_INCLUDE):$(SYS_INCLUDE)

LIBRARY	= $(ARCHDIR)/lib/$(MODEL_DIR)/lib$(MODLIB).a

PROG =  $(ARCHDIR)/bin/$(EXEC).x

INCLS   = -I$(PRISMHOME)/src/mod/$(MODEL_DIR)/include \
	  -${I4mods}$(ARCHDIR)/lib/psmile.${CHAN}

clean:
	rm -f $(LIBRARY)
	rm -f i.* *.o *.mod
	rm -f Top_Makefile_*

lib: $(LIBRARY)

all: $(PROG)

$(PROG): $(DEPLIBS) $(LIBRARY)
	$(F90) $(LDFLAGS) -o $@ $(MAINPRG).o $(LIBS)

$(LIBRARY): $(OBJS1)
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS1)

.SUFFIXES:
.SUFFIXES: .o .F90

%.o: %.F90
	$(F90) $(INCLS) $(F90FLAGS) -c $<

#
# All dependencies ...
#

oce.o: mod_kinds_model.o mod_prism_def_partition_proto.o \
	mod_prism_get_proto.o mod_prism_grids_writing.o mod_prism_proto.o \
	mod_prism_put_proto.o

=== debian/changelog ===
oasis3 (3.3.beta.dfsg.1-8build2) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 16 Dec 2013 16:59:32 -0500

oasis3 (3.3.beta.dfsg.1-8build1) saucy; urgency=low

  * Rebuild with gfortran 4.8.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Sep 2013 10:08:38 +0100

oasis3 (3.3.beta.dfsg.1-8) unstable; urgency=low

  * oasis3 and liboasis3-dev are not Multi=Arch: same. 
    Closes: #658106, #658107.
  * Ack that new build solves FTBFS. Closes: #608598.
  * Add lintian override for multiarch warning

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 04 Feb 2012 17:01:27 +0000

oasis3 (3.3.beta.dfsg.1-7) unstable; urgency=low

  * Fix typo in build-deps. libhdr5 -> libhdf5. Closes: 657931.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Jan 2012 06:59:20 +0000

oasis3 (3.3.beta.dfsg.1-6) unstable; urgency=low

  * Update build-deps for HDF5 (1.8.8) transition.
  * Multi-Arch.
  * Move to Standards-Version: 3.9.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 29 Jan 2012 14:36:02 +0000

oasis3 (3.3.beta.dfsg.1-5) unstable; urgency=low

  * Bump release number to get past stuck upload

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 08 May 2010 21:33:00 +0100

oasis3 (3.3.beta.dfsg.1-4) unstable; urgency=low

  * Fix hard-coded paths in auto-generated patch. Closes: #579322.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Apr 2010 12:46:26 +0100

oasis3 (3.3.beta.dfsg.1-3) unstable; urgency=low

  * non-experimental release.
  * Added non-conservative SCRIP patch from upstream.
  * Add shared-library liboasis3, needed to link shared lib clim*, etc.
  * libanaism, libanaisg also shipped.
  * Provide pkg-config files for clim, psmile, scrip and mpp_io libs.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 23 Apr 2010 09:47:35 +0100

oasis3 (3.3.beta.dfsg.1-2) experimental; urgency=low

  * Directory name change in new upsteam. Closes: #569271.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 11 Feb 2010 11:58:10 +0000

oasis3 (3.3.beta.dfsg.1-1) experimental; urgency=low

  * New upstream.
  * Include liboasis3-0d binary deb for  shared libraries. 
  * Include both MPI1 and MPI2 versions of binaries and libraries.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 07 Feb 2010 16:58:10 +0000

oasis3 (3.1.dfsg.1-1) experimental; urgency=low

  * DFSG-fixed upload. (Closes: #531673).
  * Remove files from distribution to make it DFSG-free:
   - regenerate .eps graphics, as exporting them from Powerpoint with Adobe
     Framemaker adds an _Adobe_ copyright
   - prismdoc.cls ; non-DFSG free
  * Remove expdlist.sty - provided by texlive-latex-extra;
     Build-Depend on texlive-latex-extra.
  * Add sources, pre-built toy models to oasis3-examples

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Jan 2010 13:51:02 +0000

oasis3 (3.1-1) experimental; urgency=low

  * Initial release.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Jan 2010 11:56:33 +0000

=== debian/control ===
Source: oasis3
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: mpi-default-dev, debhelper (>= 8.1.3~), gfortran, libhdf5-serial-dev | libhdf5-dev, libnetcdf-dev (>= 4.1.2), libcurl4-gnutls-dev, texlive-latex-base, texlive-latex-extra
Standards-Version: 3.9.2
Homepage: http://www.prism.enes.org/PAEs/coupling_IO/software_OASIS3.php

Package: oasis3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Coupler for exchanging fields between components of Earth system models
 OASIS3 is an executable for exchanging via MPI fields between 
 components of climate models, such as atmosphere and ocean models. 
 In addition, OASIS can perform interpolation between different grids
 used by the components, via the SCRIP library.

Package: liboasis3-0d
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared libraries for OASIS3 coupler
 OASIS3 is an executable for exchanging via MPI fields between 
 components of climate models, such as atmosphere and ocean models. 
 In addition, OASIS can perform interpolation between different grids
 used by the components, via the SCRIP library.
 .
 This package contains the shared libraries used in OASIS3.

Package: liboasis3-dev
Section: libdevel
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, mpi-default-dev, liboasis3-0d (=${binary:Version})
Recommends: oasis3-examples, pkg-config
Description: Development files for OASIS3 climate model coupler
 OASIS3 is an executable for exchanging via MPI fields between 
 components of climate models, such as atmosphere and ocean models. 
 In addition, OASIS can perform interpolation between different grids
 used by the components, via the SCRIP library.
 .
 This package contains development files for building against OASIS3.

Package: oasis3-examples
Architecture: any
Depends: oasis3 (>=${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: liboasis3-dev
Description: Example models for the OASIS climate model coupler
 OASIS3 is an executable for exchanging via MPI fields between 
 components of climate models, such as atmosphere and ocean models. 
 In addition, OASIS can perform interpolation between different grids
 used by the components, via the SCRIP library.
 .
 This package contains example models and sources for the OASIS3 coupler.

=== debian/rules ===
#!/usr/bin/make -f

# The magic rule ...
%:
	dh $@

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/${DEB_HOST_MULTIARCH}
LIBDIR_ESC:=\/usr\/lib\/${DEB_HOST_MULTIARCH}

include /usr/share/mpi-default-dev/debian_defaults
ifeq ($(ARCH_DEFAULT_MPI_IMPL), mpich)
        CHAN := MPI1
else
	CHAN := MPI2
endif

TOP:=$(shell pwd)/

override_dh_auto_build:
	# First run to build shared lib
	$(MAKE) -C src/mod/oasis3/util/make_dir -f TopMakefileOasis3 ARCH=debian PRISMHOME=$(TOP) CHAN=MPI1 makeshlibs
	$(MAKE) -C src/mod/oasis3/util/make_dir -f TopMakefileOasis3 ARCH=debian PRISMHOME=$(TOP) CHAN=MPI2 makeshlibs
	# move them out of the way so the executables are built statically
	mkdir -p build/lib/shared
	mv build/lib/lib*.so.* build/lib/shared
	# re-run to build the static versions
	$(MAKE)  -C src/mod/oasis3/util/make_dir -f TopMakefileOasis3 ARCH=debian PRISMHOME=$(TOP) realclean CHAN=MPI1 default toyoa3
	$(MAKE)  -C src/mod/oasis3/util/make_dir -f TopMakefileOasis3 ARCH=debian PRISMHOME=$(TOP) realclean CHAN=MPI2 default toyoa3
	# Create pkgconfig files.
	for p in clim.mpich.pc  clim.openmpi.pc  mpp_io.pc  psmile.pc  scrip.pc ; do \
		sed -e 's/@LIBDIR@/${LIBDIR_ESC}/' < debian/$${p}.in > debian/$${p}; \
		done

override_dh_auto_install:
	dh_install -p liboasis3-0d build/lib/shared/libclim*.so.0d ${LIBDIR}
	dh_install -p liboasis3-0d build/lib/shared/libfscint.so.0d  ${LIBDIR}
	dh_install -p liboasis3-0d build/lib/shared/libmpp_io.so.0d  ${LIBDIR}
	dh_install -p liboasis3-0d build/lib/shared/libpsmile*.so.0d ${LIBDIR}
	dh_install -p liboasis3-0d build/lib/shared/libscrip.so.0d   ${LIBDIR}
	dh_install -p liboasis3-0d build/lib/shared/libanais*.so.0d   ${LIBDIR}
	dh_install -p liboasis3-0d build/lib/oasis3/liboasis3.*.so.0d ${LIBDIR}
	dh_install -p liboasis3-dev build/lib/libclim.*.a   ${LIBDIR}
	dh_install -p liboasis3-dev build/lib/libpsmile.*.a ${LIBDIR}
	dh_install -p liboasis3-dev build/lib/libfscint.a   ${LIBDIR}
	dh_install -p liboasis3-dev build/lib/libmpp_io.a   ${LIBDIR}
	dh_install -p liboasis3-dev build/lib/libscrip.a    ${LIBDIR}
	dh_install -p liboasis3-dev build/lib/libanaism.a   ${LIBDIR}
	dh_install -p liboasis3-dev build/lib/libanaisg.a   ${LIBDIR}
	dh_install -p liboasis3-dev build/lib/oasis3/liboasis3.*.a  ${LIBDIR}
	dh_install -p liboasis3-dev debian/*.pc     ${LIBDIR}/pkgconfig

override_dh_link:
	ln -sf oasis3.links.$(CHAN) debian/oasis3.links
	ln -sf oasis3-examples.links.$(CHAN) debian/oasis3-examples.links
	dh_link -p liboasis3-dev ${LIBDIR}/pkgconfig/clim.${ARCH_DEFAULT_MPI_IMPL}.pc ${LIBDIR}/pkgconfig/clim.pc
	dh_link -p liboasis3-dev ${LIBDIR}/libclim.MPI2.so.0d     ${LIBDIR}/libclim.MPI2.so
	dh_link -p liboasis3-dev ${LIBDIR}/libclim.MPI1.so.0d     ${LIBDIR}/libclim.MPI1.so
	dh_link -p liboasis3-dev ${LIBDIR}/libpsmile.MPI2.so.0d   ${LIBDIR}/libpsmile.MPI2.so
	dh_link -p liboasis3-dev ${LIBDIR}/libpsmile.MPI1.so.0d   ${LIBDIR}/libpsmile.MPI1.so
	dh_link -p liboasis3-dev ${LIBDIR}/liboasis3.MPI1.so.0d   ${LIBDIR}/liboasis3.MPI1.so
	dh_link -p liboasis3-dev ${LIBDIR}/liboasis3.MPI2.so.0d   ${LIBDIR}/liboasis3.MPI2.so
	dh_link -p liboasis3-dev ${LIBDIR}/libanaism.so.0d        ${LIBDIR}/libanaism.so
	dh_link -p liboasis3-dev ${LIBDIR}/libanaisg.so.0d        ${LIBDIR}/libanaisg.so
	dh_link -p liboasis3-dev ${LIBDIR}/libfscint.so.0d        ${LIBDIR}/libfscint.so
	dh_link -p liboasis3-dev ${LIBDIR}/libmpp_io.so.0d        ${LIBDIR}/libmpp_io.so
	dh_link -p liboasis3-dev ${LIBDIR}/libscrip.so.0d ${LIBDIR}/libscrip.so
	dh_link -p liboasis3-dev ${LIBDIR}/liboasis3.${CHAN}.a       ${LIBDIR}/liboasis3.a
	dh_link -p liboasis3-dev ${LIBDIR}/libclim.${CHAN}.a         ${LIBDIR}/libclim.a
	dh_link -p liboasis3-dev ${LIBDIR}/libpsmile.${CHAN}.a       ${LIBDIR}/libpsmile.a
	dh_link -p liboasis3-dev ${LIBDIR}/libclim.${CHAN}.so.0d     ${LIBDIR}/libclim.so
	dh_link -p liboasis3-dev ${LIBDIR}/liboasis3.${CHAN}.so.0d   ${LIBDIR}/liboasis3.so
	dh_link -p liboasis3-dev ${LIBDIR}/libpsmile.${CHAN}.so.0d   ${LIBDIR}/libpsmile.so
	dh_link -p liboasis3-dev /usr/include/clim.${CHAN}          /usr/include/clim
	dh_link -p liboasis3-dev /usr/include/psmile.${CHAN}        /usr/include/psmile

override_dh_shlibdeps:
	dh_shlibdeps -l$(TOP)/build/lib/shared

override_dh_fixperms:
	dh_fixperms
	find debian/oasis3-examples/usr/share/oasis3-examples/testinterp -type f -exec chmod -x {} \;
	find debian/oasis3-examples -name 'Make*' -exec chmod -x {} \;

override_dh_clean:
	dh_clean
	rm -rf build src/mod/oasis3/doc/oasis3doc.toc debian/*.links debian/*.pc
	if [ -e src/mod/oasis3/doc/Makefile ] ; then $(MAKE) -C src/mod/oasis3/doc clean ; fi


pkgconfig-files:
